#include "common.h"
#include "LtrClient.h"
#include "unit1.h"
#include <shellapi.h>
//---------------------------------------------------------------------------
/*   */
HANDLE crate_list_access = NULL;
HANDLE client_list_access = NULL;
TCrate  *crate_list[CRATE_MAX];
TClient *client_list[CLIENT_MAX];
TUniqueAddrMultiList IPCrateList;
TLogfile g_Log;
TLtrConfig g_Conf;
DWORD g_ServerVersion = 0;
//---------------------------------------------------------------------------

/*------------------------------------------------------------------------------------------------*/
DWORD StrToIP(AnsiString ip_str)
    {
    int len, n;
    unsigned int q1, q2, q3, q4;

    len = ip_str.Length();
    if ((len < 7) || (len > 15))
        return 0;
    if ((sscanf(ip_str.c_str(), "%3u.%3u.%3u.%3u%n", &q1, &q2, &q3, &q4, &n) >= 4)
        && (n == len)
        && ((q1 | q2 | q3 | q4) <= 255) /*   <= 255 */
        && ((q1 | q2 | q3 | q4) > 0)    /*     0 */
        && ((q1 & q2 & q3 & q4) < 255)  /*     255 */
        )
        {
        return ((DWORD)q4 << 24) | ((DWORD)q3 << 16) | (q2 << 8) | q1;
        }
    else
        {
        return 0;
        }
    }
/*------------------------------------------------------------------------------------------------*/

/*------------------------------------------------------------------------------------------------*/
AnsiString IPToStr(DWORD ip)
    {
    return Format("%u.%u.%u.%u",
        ARRAYOFCONST((ip & 0xFF, (ip >> 8) & 0xFF, (ip >> 16) & 0xFF, (ip >> 24) & 0xFF)));
    }
/*------------------------------------------------------------------------------------------------*/

/*------------------------------------------------------------------------------------------------*/
t_PrioRank PriorityRank(DWORD priority_class)
    {
    switch (priority_class)
        {
        case IDLE_PRIORITY_CLASS:           return PRIORANK_IDLE;
        case BELOW_NORMAL_PRIORITY_CLASS:   return PRIORANK_BELOWNORMAL;
        case NORMAL_PRIORITY_CLASS:         return PRIORANK_NORMAL;
        case ABOVE_NORMAL_PRIORITY_CLASS:   return PRIORANK_ABOVENORMAL;
        case HIGH_PRIORITY_CLASS:           return PRIORANK_HIGH;
        case REALTIME_PRIORITY_CLASS:       return PRIORANK_REALTIME;
        default:                            return PRIORANK_NORMAL;
        }
    }
/*------------------------------------------------------------------------------------------------*/

#if DEBUG_PROFILER
Prf g_Prf;
#endif
