//$$---- EXE CPP ----
//---------------------------------------------------------------------------

#include <vcl.h>
#include <stdio.h>
#pragma hdrstop
#include "Unit1.h"
#include "ltr\\include\\ltrapi_ll.h"
#include "stringres.h"

//---------------------------------------------------------------------------
USEFORM("Unit1.cpp", FormMAIN);
USEFORM("DialogAddIP.cpp", FormAddIPDialog);
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR lpCmdLine, int nCmdShow)
    {
    g_bNoTrayIcon = !!strstr(lpCmdLine, "-notray");

    if (LTRAPI_LL_GetDLLVersion() != LC_CURRENT_VERSION)
        {
        MessageBox(0, LoadStr(IDS_Incompatible_LTRAPI_DLL).c_str(),
            LoadStr(IDS_Error).c_str(), MB_ICONERROR | MB_OK);
        return 0;
        }

    HANDLE hmutex = CreateMutex(NULL, TRUE, "LTR_SERVER");
    if (hmutex != NULL)
        {
        if (GetLastError() != ERROR_ALREADY_EXISTS)
            {
            try
                {
                Application->Initialize();
                Application->Title = "LTR Server";
                Application->CreateForm(__classid(TFormMAIN), &FormMAIN);
         Application->CreateForm(__classid(TFormAddIPDialog), &FormAddIPDialog);
         Application->Run();
                }
            catch (Exception &exception)
                {
                Application->ShowException(&exception);
                }
            catch (...)
                {
                try
                    {
                    throw Exception("");
                    }
                catch (Exception &exception)
                    {
                    Application->ShowException(&exception);
                    }
                }
            }
        CloseHandle(hmutex);
        }
    return 0;
    }
//---------------------------------------------------------------------------

